Page MenuHomePhabricator

TagMultiselectWidget (draggable) shouldn't inherit `role=listbox` of DraggableGroupElement
Closed, ResolvedPublic

Description

As of v0.22.2 TagMultiselectWidget inherits role=listbox of DraggableGroupElement.
This doesn't seem to make lot of sense in context of TagMultiselectWidget and also leads to accessibility error because listbox [[ https://www.w3.org/TR/wai-aria/roles#listbox | requires owned role=option items ]].

Details

Related Gerrit Patches:

Event Timeline

We should probably move the attribute from DraggableGroupElement initialization to DraggableGroupWidget as it could also hurt screen readers in possible other combinations.

Change 364453 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] DraggableGroupElement: Move ARIA role to DraggableGroupWidget

https://gerrit.wikimedia.org/r/364453

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jul 11 2017, 3:36 PM

We should probably move the attribute from DraggableGroupElement initialization to DraggableGroupWidget as it could also hurt screen readers in possible other combinations.

Yeah.

It seems most appropriate to have a draggable with role=list and elements with listitem.

I'm not convinced DraggableGroupElement and DraggableElement should be setting any roles. The classes that these are mixed into should probably be doing that.

@matmarex Yes, I was more referring to a concept like DraggableGroupWidget in the demo than any role on those mixins.

Volker_E closed this task as Resolved.Aug 1 2017, 6:57 PM
Volker_E claimed this task.
Volker_E moved this task from Reviewing to OOjs-UI-0.22.4 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.22.4); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.

Change 364453 merged by jenkins-bot:
[oojs/ui@master] DraggableGroupElement: Remove ARIA roles & attributes

https://gerrit.wikimedia.org/r/364453

Volker_E raised the priority of this task from Medium to Needs Triage.Aug 15 2017, 9:53 PM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.
Volker_E triaged this task as Medium priority.Aug 16 2017, 6:15 PM

Resetting priority (drag & drop malfunction on “sort by priority” board).